package com.codigoparallevar.minicards;

import android.graphics.Color;
import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.ListView;

public class DeckPreviewActivity extends AppCompatActivity {

    public static final String INTENT = "com.codigoparallevar.minicards.DECK";
    private ListView listView;
    private CardPreviewArrayAdapter cardArrayAdapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_deck_preview);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        FloatingActionButton fab = (FloatingActionButton) findViewById(R.id.create_new_card_fab);
        fab.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Snackbar.make(view, "Replace with your own action", Snackbar.LENGTH_LONG)
                        .setAction("Action", null).show();
            }
        });

        listView = (ListView) findViewById(R.id.card_deck_list);

        cardArrayAdapter = new CardPreviewArrayAdapter(getApplicationContext(), new PreviewCard[]{
                new PreviewCard("Default", 0, PreviewCard.DEFAULT_COLOR),
                new PreviewCard("Second", 1, Color.parseColor("#FF00FF")),
                new PreviewCard("Greenie", 2, Color.parseColor("#00FF00")),
        });

        listView.setAdapter(cardArrayAdapter);

    }

}
